Asset (Beta)

Remove asset relations

IMPORTANT NOTE
These APIs do not replace the existing v4 APIs yet, and currently only applies to newly uploaded assets still in Draft state (before publishing). Cannot be yet used for Assets that are in Asset Bank and Waiting room.

Remove one or more assets from the set of assets the given asset is related to. This removes the bidirectional relation between the given asset and the assets given as input.

Note: This API is subject to change until it reaches GA. Activation of the API is on a request basis until GA.

delete
https://{your-bynder-domain}/api/1/asset/assets/{assetId}/relations/{relationId}

Path Parameters

assetIdstringrequired
relationIdstringrequired

Body

application/json

RemoveAssetRelationInput

relatedAssetIdsarray[string]

Response

application/json

UpdateAssetRelationReply

assetIdstring
portalIdstring
relatedAssetIdsarray[string]
relationIdstring
delete/api/1/asset/assets/{assetId}/relations/{relationId}

Body

{}
 
application/json

Set asset relations

IMPORTANT NOTE
These APIs do not replace the existing v4 APIs yet, and currently only applies to newly uploaded assets still in Draft state (before publishing). Cannot be yet used for Assets that are in Asset Bank and Waiting room.

Update the set of assets the given asset is related to. The result is a bidirectional relation between the given asset and the asset’s given as input Note: the recommended maximum amount of Ids to relate is 100 maximum.

Note: This API is subject to change until it reaches GA. Activation of the API is on a request basis until GA.

put
https://{your-bynder-domain}/api/1/asset/assets/{assetId}/relations/{relationId}

Path Parameters

assetIdstringrequired
relationIdstringrequired

Body

application/json

UpdateAssetRelationInput

relatedAssetIdsarray[string]

Response

application/json

UpdateAssetRelationReply

assetIdstring
portalIdstring
relatedAssetIdsarray[string]
relationIdstring
put/api/1/asset/assets/{assetId}/relations/{relationId}

Body

{}
 
application/json

Set tags

IMPORTANT NOTE
These APIs do not replace the existing v4 APIs yet, and currently only applies to newly uploaded assets still in Draft state (before publishing). Cannot be yet used for Assets that are in Asset Bank and Waiting room.

Set a given list of tags as the new tag list of an asset.

Note: This API is subject to change until it reaches GA. Activation of the API is on a request basis until GA.

put
https://{your-bynder-domain}/api/1/asset/assets/{assetId}/tags

Path Parameters

assetIdstringrequired

Body

application/json

SetTagsInput

tagsarray[string]

Response

application/json

SetVersionTagsReply

assetIdstring
versionIdstring
put/api/1/asset/assets/{assetId}/tags

Body

{}
 
application/json

General endpoints

Retrieve, validate, and manage existing assets and their versions.

Delete asset

IMPORTANT NOTE
These APIs do not replace the existing v4 APIs yet, and currently only applies to newly uploaded assets still in Draft state (before publishing). Cannot be yet used for Assets that are in Asset Bank and Waiting room.

Delete an asset that is currently in draft. Due to the draft state, you cannot restore the asset from the trashcan.

delete
https://{your-bynder-domain}/api/1/asset/assets/{assetId}

Path Parameters

assetIdstringrequired

Response

application/json

TrashAssetReply

assetIdstring
delete/api/1/asset/assets/{assetId}
 
application/json